Skip to content
POST /dashboard/validate

Requires `dashboard:create`. Always 200.

Request Body

dashboard_idstring
definition

Response Body

issuesobject[]
fieldstring
messagestring
severitystring
stepstring,null
curl -X POST 'https://api.elaichi.ai/dashboard/validate' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"dashboard_id":"your_dashboard_id"}'
const body = {
  "dashboard_id": "your_dashboard_id"
};

const response = await fetch('https://api.elaichi.ai/dashboard/validate', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/dashboard/validate"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}
payload = {
    "dashboard_id": "your_dashboard_id"
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())